Originally added in: https://gitweb.gentoo.org/repo/gentoo.git/commit/dev-python/numpy/files?id=e5ce90a04e79f6413604e96e4803cb95ada7c859
https://bugs.gentoo.org/567938
--- a/numpy/distutils/system_info.py
+++ b/numpy/distutils/system_info.py
@@ -505,33 +505,7 @@ def get_info(name, notfound_action=0):
           'blas_armpl': blas_armpl_info,
           'lapack_armpl': lapack_armpl_info,
           'fftw3_armpl': fftw3_armpl_info,
-          'atlas': atlas_info,  # use lapack_opt or blas_opt instead
-          'atlas_threads': atlas_threads_info,                # ditto
-          'atlas_blas': atlas_blas_info,
-          'atlas_blas_threads': atlas_blas_threads_info,
-          'lapack_atlas': lapack_atlas_info,  # use lapack_opt instead
-          'lapack_atlas_threads': lapack_atlas_threads_info,  # ditto
-          'atlas_3_10': atlas_3_10_info,  # use lapack_opt or blas_opt instead
-          'atlas_3_10_threads': atlas_3_10_threads_info,                # ditto
-          'atlas_3_10_blas': atlas_3_10_blas_info,
-          'atlas_3_10_blas_threads': atlas_3_10_blas_threads_info,
-          'lapack_atlas_3_10': lapack_atlas_3_10_info,  # use lapack_opt instead
-          'lapack_atlas_3_10_threads': lapack_atlas_3_10_threads_info,  # ditto
-          'flame': flame_info,          # use lapack_opt instead
-          'mkl': mkl_info,
-          # openblas which may or may not have embedded lapack
-          'openblas': openblas_info,          # use blas_opt instead
-          # openblas with embedded lapack
-          'openblas_lapack': openblas_lapack_info, # use blas_opt instead
-          'openblas_clapack': openblas_clapack_info, # use blas_opt instead
-          'blis': blis_info,                  # use blas_opt instead
-          'lapack_mkl': lapack_mkl_info,      # use lapack_opt instead
-          'blas_mkl': blas_mkl_info,          # use blas_opt instead
           'accelerate': accelerate_info,      # use blas_opt instead
-          'openblas64_': openblas64__info,
-          'openblas64__lapack': openblas64__lapack_info,
-          'openblas_ilp64': openblas_ilp64_info,
-          'openblas_ilp64_lapack': openblas_ilp64_lapack_info,
           'x11': x11_info,
           'fft_opt': fft_opt_info,
           'fftw': fftw_info,
@@ -951,10 +925,7 @@ class system_info:
         return [b for b in [a.strip() for a in libs.split(',')] if b]
 
     def get_libraries(self, key='libraries'):
-        if hasattr(self, '_lib_names'):
-            return self.get_libs(key, default=self._lib_names)
-        else:
-            return self.get_libs(key, '')
+      return self.get_libs(key, '')
 
     def library_extensions(self):
         c = customized_ccompiler()
